/*
 File: TS_path1asym.cpp
 Date and Time: Sat Oct 11 20:57:24 2014 
*/
#include "TS_path1a.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_TS_path1a;// grammar's ns
// first set terminals
// monolithic grammar --- no thread
void 
CTS_path1a::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rstart_:{
       Rstart* sym;
     if(re->rule_ == 0){
       sym = new Rstart(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rstart*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_RA_:{
       RA* sym;
     if(re->rule_ == 0){
       sym = new RA(parser__);
       re->rule_ = sym;
     }else{
       sym = (RA*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_RA_:{
       RA* sym;
     if(re->rule_ == 0){
       sym = new RA(parser__);
       re->rule_ = sym;
     }else{
       sym = (RA*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    default: return;
   }
}
